<?php

    /**
     * For full documentation, please visit: http://docs.reduxframework.com/
     * For a more extensive sample-config file, you may look at:
     * https://github.com/reduxframework/redux-framework/blob/master/sample/sample-config.php
     */

    if ( ! class_exists( 'Redux' ) ) {
        return;
    }

    // This is your option name where all the Redux data is stored.
    $opt_name = "artha";

    /**
     * ---> SET ARGUMENTS
     * All the possible arguments for Redux.
     * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
     * */

    $theme = wp_get_theme(); // For use with some settings. Not necessary.

    $opt_name = 'artha_options';

    $args = array(
        // Change these values as you need/desire
        // This is where your data is stored in the database and also becomes your global variable name.
        'opt_name' => $opt_name,
        'use_cdn' => TRUE,
        'page_title' => 'Theme Options',
        'display_name' => $theme->get('Name'),
        'display_version' => $theme->get('Version'),
        'update_notice' => FALSE,
        'forced_dev_mode_off' => TRUE,
        'admin_bar' => TRUE,
        'menu_type' => 'submenu',
        'menu_title' => esc_html__('Theme Options', 'artha-interactive'),
        'page_title' => esc_html__('Theme Options', 'artha-interactive'),
        'allow_sub_menu' => false,
        // 'page_parent_post_type' => 'your_post_type',
        'page_parent' => 'themes.php',
        'customizer' => TRUE,
        'default_mark' => '*',
        'hints' => array(
            'icon_position' => 'right',
            'icon_color' => 'lightgray',
            'icon_size' => 'normal',
            'tip_style' => array(
                'color' => 'light',
            ),
            'tip_position' => array(
                'my' => 'top left',
                'at' => 'bottom right',
            ),
            'tip_effect' => array(
                'show' => array(
                    'duration' => '500',
                    'event' => 'mouseover',
                ),
                'hide' => array(
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ),
            ),
        ),
        'output' => TRUE,
        'output_tag' => TRUE,
        'settings_api' => TRUE,
        'cdn_check_time' => '1440',
        'compiler' => TRUE,
        'page_permissions' => 'manage_options',
        'save_defaults' => TRUE,
        'show_import_export' => TRUE,
        'database' => 'options',
        'transient_time' => '3600',
        'network_sites' => TRUE,
    );

    // // SOCIAL ICONS -> Setup custom links in the footer for quick links in your panel footer icons.
    // $args['share_icons'][] = array(
    //     'url'   => 'https://github.com/ReduxFramework/ReduxFramework',
    //     'title' => 'Visit us on GitHub',
    //     'icon'  => 'el el-github'
    //     //'img'   => '', // You can use icon OR img. IMG needs to be a full URL.
    // );
    // $args['share_icons'][] = array(
    //     'url'   => 'https://www.facebook.com/pages/Redux-Framework/243141545850368',
    //     'title' => 'Like us on Facebook',
    //     'icon'  => 'el el-facebook'
    // );
    // $args['share_icons'][] = array(
    //     'url'   => 'http://twitter.com/reduxframework',
    //     'title' => 'Follow us on Twitter',
    //     'icon'  => 'el el-twitter'
    // );
    // $args['share_icons'][] = array(
    //     'url'   => 'http://www.linkedin.com/company/redux-framework',
    //     'title' => 'Find us on LinkedIn',
    //     'icon'  => 'el el-linkedin'
    // );

    Redux::setArgs( $opt_name, $args );

    $path = get_template_directory() . '/admin/';

    $files = glob($path . '/options/*.php');

    foreach($files as $file)
        if( __FILE__ != basename($file) )
            include_once $file;

    /*
     * ---> END ARGUMENTS
     */

    /*
     * ---> START HELP TABS
     */

    // $tabs = array(
    //     array(
    //         'id'      => 'redux-help-tab-1',
    //         'title'   => esc_html__( 'Theme Information 1', 'redux_theme' ),
    //         'content' => esc_html__( '<p>This is the tab content, HTML is allowed.</p>', 'redux_theme' )
    //     ),
    //     array(
    //         'id'      => 'redux-help-tab-2',
    //         'title'   => esc_html__( 'Theme Information 2', 'redux_theme' ),
    //         'content' => esc_html__( '<p>This is the tab content, HTML is allowed.</p>', 'redux_theme' )
    //     )
    // );
    // Redux::setHelpTab( $opt_name, $tabs );

    // // Set the help sidebar
    // $content = esc_html__( '<p>This is the sidebar content, HTML is allowed.</p>', 'redux_theme' );
    // Redux::setHelpSidebar( $opt_name, $content );


    // /*
    //  * <--- END HELP TABS
    //  */


    // /*
    //  *
    //  * ---> START SECTIONS
    //  *
    //  */

    // Redux::setSection( $opt_name, array(
    //     'title'  => esc_html__( 'Basic Field', 'redux-framework-demo' ),
    //     'id'     => 'basic',
    //     'desc'   => esc_html__( 'Basic field with no subsections.', 'redux-framework-demo' ),
    //     'icon'   => 'el el-home',
    //     'fields' => array(
    //         array(
    //             'id'       => 'opt-text',
    //             'type'     => 'text',
    //             'title'    => esc_html__( 'Example Text', 'redux-framework-demo' ),
    //             'desc'     => esc_html__( 'Example description.', 'redux-framework-demo' ),
    //             'subtitle' => esc_html__( 'Example subtitle.', 'redux-framework-demo' ),
    //         )
    //     )
    // ) );

    // Redux::setSection( $opt_name, array(
    //     'title' => esc_html__( 'Basic Fields', 'redux-framework-demo' ),
    //     'id'    => 'basic',
    //     'desc'  => esc_html__( 'Basic fields as subsections.', 'redux-framework-demo' ),
    //     'icon'  => 'el el-home'
    // ) );

    // Redux::setSection( $opt_name, array(
    //     'title'      => esc_html__( 'Text', 'redux-framework-demo' ),
    //     'desc'       => esc_html__( 'For full documentation on this field, visit: ', 'redux-framework-demo' ) . '<a href="http://docs.reduxframework.com/core/fields/text/" target="_blank">http://docs.reduxframework.com/core/fields/text/</a>',
    //     'id'         => 'opt-text-subsection',
    //     'subsection' => true,
    //     'fields'     => array(
    //         array(
    //             'id'       => 'text-example',
    //             'type'     => 'text',
    //             'title'    => esc_html__( 'Text Field', 'redux-framework-demo' ),
    //             'subtitle' => esc_html__( 'Subtitle', 'redux-framework-demo' ),
    //             'desc'     => esc_html__( 'Field Description', 'redux-framework-demo' ),
    //             'default'  => 'Default Text',
    //         ),
    //     )
    // ) );

    // Redux::setSection( $opt_name, array(
    //     'title'      => esc_html__( 'Text Area', 'redux-framework-demo' ),
    //     'desc'       => esc_html__( 'For full documentation on this field, visit: ', 'redux-framework-demo' ) . '<a href="http://docs.reduxframework.com/core/fields/textarea/" target="_blank">http://docs.reduxframework.com/core/fields/textarea/</a>',
    //     'id'         => 'opt-textarea-subsection',
    //     'subsection' => true,
    //     'fields'     => array(
    //         array(
    //             'id'       => 'textarea-example',
    //             'type'     => 'textarea',
    //             'title'    => esc_html__( 'Text Area Field', 'redux-framework-demo' ),
    //             'subtitle' => esc_html__( 'Subtitle', 'redux-framework-demo' ),
    //             'desc'     => esc_html__( 'Field Description', 'redux-framework-demo' ),
    //             'default'  => 'Default Text',
    //         ),
    //     )
    // ) );

    /*
     * <--- END SECTIONS
     */
