<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Redux Theme
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
    return;
}
?>

<div id="blog-comment">

    <?php
    // You can start editing here -- including this comment!
    if ( have_comments() ) : ?>
        <h5>
            <?php printf( esc_html__( 'Comments ( %s )', 'artha-interactive' ), get_comments_number() ); ?>
        </h5>

        <?php //the_comments_navigation(); ?>

        <?php
            wp_list_comments( array(
                'style'      => 'ul',
                'short_ping' => true,
                'avatar_size' => 70,
                'callback'   => 'artha_comments'
            ) );
        ?>

        <?php the_comments_navigation();

        // If comments are closed and there are comments, let's leave a little note, shall we?
        if ( ! comments_open() ) : ?>
            <p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'artha-interactive' ); ?></p>
        <?php
        endif;

    endif; // Check for have_comments().

   $commentFormParam = array(
        'comment_field' => '<p class="comment-form-comment"><textarea class="no-smoothState" id="messagecom" name="comment" placeholder="Comment" cols="10" rows="10" aria-required="true">' .
            '</textarea></p>',
        'fields' => apply_filters( 'comment_form_default_fields', array(
            'author' =>
                  '<p class="comment-form-author">' .
                  '<input id="namecom" name="author" placeholder="Name" type="text" value="' . esc_attr( $commenter['comment_author'] ) .
                  '" size="30" /></p>',

            'email' =>
                  '<p class="comment-form-email">'.
                  '<input id="emailcom" name="email" type="text" placeholder="Email" value="' . esc_attr(  $commenter['comment_author_email'] ) .
                  '" size="30" /></p>'
        )),
        'title_reply_before' => '<h6 id="reply-title" class="comment-reply-title">',
        'title_reply_after' => '</h6>',
        'title_reply'       => esc_html__( 'Leave a Comment', 'artha-interactive' ),
        'title_reply_to'    => esc_html__( 'Leave a Comment to %s', 'artha-interactive' ),
        'cancel_reply_link' => esc_html__( 'Cancel Comment', 'artha-interactive' ),
      );

    comment_form($commentFormParam);
    ?>

</div><!-- #comments -->
