<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package artha
 */
global $artha_options;
?>

	    <footer class="main text-center">
                <div class="container-fluid m-5-hor">
                    <div class="row">
                        <div class="onStep" data-animation="fadeInUp" data-time="300">
                            <div class="col-md-4 text-left">
                                <?php if ( ! empty( $artha_options['email'] ) ): ?>
                                    <span>
                                        <?php esc_html_e( 'Email: ', 'artha-interactive' ); ?><a href="mailto:<?php echo esc_attr($artha_options['email']); ?>"><?php echo esc_html($artha_options['email']); ?></a>
                                    </span>
                                <?php endif ?>
                                <span>
                                    <?php echo esc_html( $artha_options['copyright'] ); ?>
                                </span>
                            </div>
                            <div class="col-md-4">
                                <?php if ( isset( $artha_options['logo_light'] ) && ! empty( $artha_options['logo_light']['url'] ) ): ?>
                                    <span class="logo">
                                        <img
                                            alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
                                            src="<?php echo esc_url($artha_options['logo_light']['url']); ?>"/>
                                    </span>
                                <?php endif ?>
                            </div>
                            <div class="col-md-4 text-right">
                                <?php if ( ! empty( $artha_options['address'] ) ): ?>
                                    <span>
                                        <?php echo esc_html( $artha_options['address'] ); ?>
                                    </span>
                                <?php endif ?>

                                <?php if ( ! empty( $artha_options['phone'] ) ): ?>
                                <span>
                                    <?php esc_html_e( 'Phone: ', 'artha-interactive' ); ?><?php echo esc_html($artha_options['phone']); ?>
                                </span>
                                <?php endif ?>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
            <!-- footer end -->
            <!-- ScrolltoTop -->
            <div id="totop" class="init">
                <span class="ti-angle-up">
                </span>
            </div>
        </div>
        <!-- content wraper end -->

        <?php wp_footer(); ?>
    </body>
</html>

