<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package artha
 */

global $artha_options;

?>
<!DOCTYPE html>
<html <?php language_attributes() ?>>
    <head>
        <meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport"/>
        <meta charset="<?php bloginfo( 'charset' ); ?>">

        <link href="<?php echo get_template_directory_uri() . '/assets/' ?>img/favicon.png" rel="icon" sizes="32x32" type="image/png"/>
        <?php wp_head(); ?>
        <!-- favicon -->

    </head>
    <body <?php body_class('choc') ?>>
        <!-- preloader -->
        <div class="bg-preloader-white">
        </div>
        <div class="preloader-white">
            <div class="mainpreloader">
                <span>
                </span>
            </div>
        </div>
        <!-- preloader end -->
        <!-- content wraper -->
        <div class="content-wrapper">
            <?php
            $top_menu_empty = '';
            if ( empty($artha_options['phone']) && empty($artha_options['facebook']) && empty($artha_options['dribbble']) && empty($artha_options['twitter']) && empty($artha_options['instagram']) && empty($artha_options['linkedin']) ) {
                $top_menu_empty = ' top-menu-empty';
            }
            ?>
            <header class="init choc<?php esc_attr( $top_menu_empty ); ?>">
                <?php if ( ! is_page_template( 'page-home-alt.php' ) ): ?>
                    <!-- subnav -->
                    <div class="container-fluid m-5-hor">
                        <div class="row">
                          
                            
                            <?php if ( !empty($artha_options['phone']) || !empty($artha_options['facebook']) || !empty($artha_options['dribbble']) || !empty($artha_options['twitter']) || !empty($artha_options['instagram']) || !empty($artha_options['linkedin']) ): ?>
                                <div class="subnav">
                                    <div class="col-md-6">
                                        <div class="left">
                                            <div class="social-icons-subnav left">
                                                 <?php if ( ! empty( $artha_options['phone'] ) ): ?>
                                                    <div>
                                                        <?php esc_html_e( 'Call Us: ', 'artha-interactive' ); ?><?php echo esc_html($artha_options['phone']); ?>
                                                    </div>
                                                <?php endif ?>
                                            </div>
                                        </div>
                                    </div>


                                    <div class="col-md-6">
                                        <div class="right">
                                            <div id="sub-icon" class="social-icons-subnav">
                                                <?php if (!empty($artha_options['facebook'])) : ?>
                                                    <a href="<?php echo esc_url( $artha_options['facebook'] ); ?>">
                                                        <span class="ti-facebook">
                                                        </span>
                                                    </a>
                                                <?php endif ?>

                                                <?php if (!empty($artha_options['dribbble'])) : ?>
                                                    <a href="<?php echo esc_url( $artha_options['dribbble'] );  ?>">
                                                        <span class="ti-dribbble">
                                                        </span>
                                                    </a>
                                                <?php endif ?>

                                                <?php if (!empty($artha_options['twitter'])) : ?>

                                                <a href="<?php echo esc_url( $artha_options['twitter'] ); ?>">
                                                    <span class="ti-twitter">
                                                    </span>
                                                </a>
                                                <?php endif ?>

                                                <?php if (!empty($artha_options['instagram'])) : ?>
                                                <a  href="<?php echo esc_url( $artha_options['instagram'] ); ?>">
                                                    <span class="ti-instagram">
                                                    </span>
                                                </a>
                                                <?php endif ?>

                                                <?php if (!empty($artha_options['linkedin'])) : ?>
                                                    <a href="<?php echo esc_url( $artha_options['linkedin'] ); ?>">
                                                        <span class="ti-linkedin">
                                                        </span>
                                                    </a>
                                                <?php endif ?>

                                            </div>
                                            <div id="sub-icon" class="social-icons-subnav">
                                <a  href="#"><span class="ti-user"></span></a>

                                <?php if ( in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ) {
                                             
                                                $count = WC()->cart->cart_contents_count;
                                                ?>
                                <a href="<?php echo WC()->cart->get_cart_url(); ?>" title="<?php _e( 'View your shopping cart' ); ?>"><?php 
                                                if ( $count > 0 ) {
                                                    ?><span class="ti-shopping-cart"><?php echo esc_html( $count ); ?></span><?php
                                                }
                                                    ?></a>
                                                    <?php } ?>
                                            
                            </div>

                                            
                                            
                                             
                                            
                                        </div>
                                    </div>
                                </div>
                            <?php endif ?>
                          
                        </div>
                    </div>
                    <!-- subnav end -->
                <?php endif ?>
                <!-- nav -->
                <div class="navbar-default-white navbar-fixed-top">
                    <div class="container-fluid m-5-hor">
                        <div class="row">
                            <div class="wraper-mob">
                            <!-- menu mobile display -->
                            <button class="navbar-toggle" data-target=".navbar-collapse" data-toggle="collapse">
                                <span class="icon icon-bar">
                                </span>
                                <span class="icon icon-bar">
                                </span>
                                <span class="icon icon-bar">
                                </span>
                            </button>
                            <!-- logo -->
                            <a class="navbar-brand white" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                <?php if ( isset( $artha_options['logo_dark'] ) || isset( $artha_options['logo_light'] ) ): ?>
                                  <?php if ( isset( $artha_options['logo_dark']['url'] ) && !empty( $artha_options['logo_dark']['url'] ) ): ?>
                                    <img
                                          class="white"
                                          alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
                                          src="<?php echo esc_url( $artha_options['logo_dark']['url'] ); ?>"/>
                                  <?php endif ?>
                                  
                                  <?php if ( isset( $artha_options['logo_light']['url'] ) && !empty( $artha_options['logo_light']['url'] ) ): ?>
                                    <img
                                          class="black"
                                          alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
                                          src="<?php echo esc_url( $artha_options['logo_light']['url'] ); ?>"/>
                                  <?php endif; ?>
                                <?php endif ?>

                                <?php if ( empty( $artha_options['logo_dark']['url'] ) && empty( $artha_options['logo_light']['url'] ) ): ?>
                                    <h1><?php echo bloginfo( 'name' ); ?></h1>
                                <?php endif ?>
                            </a>
                            <!-- logo end -->
                            </div>
                            <!-- mainmenu start -->
                            <div class="white menu-init" id="main-menu">

                            <?php
                                $params = array(
                                    'theme_location' => 'menu-1',
                                    'container' => 'nav',
                                    'container_id' => 'menu-center',
                                    'container_class' => '',
                                );
                                wp_nav_menu($params)
                            ?>
                            </div>
                            <!-- mainmenu end -->
                        </div>
                    </div>
                    <!-- container -->
                </div>
                <!-- nav end -->
            </header>


