<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package artha
 */

global $artha_options;

?>
<!DOCTYPE html>
<html <?php language_attributes() ?>>
    <head>
        <meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport"/>
        <meta charset="<?php bloginfo( 'charset' ); ?>">

        <link href="<?php echo get_template_directory_uri() . '/assets/' ?>img/favicon.png" rel="icon" sizes="32x32" type="image/png"/>
        <?php wp_head(); ?>
        <!-- favicon -->

    </head>
    <body <?php body_class() ?>>
        <!-- preloader -->
        <div class="bg-preloader-white">
        </div>
        <div class="preloader-white">
            <div class="mainpreloader">
                <span>
                </span>
            </div>
        </div>
        <!-- preloader end -->
        <!-- content wraper -->
        <div class="content-wrapper">
            
            <header class="init">
                
                <!-- nav -->
                <div class="navbar-default-white navbar-fixed-top">
                    <div class="container-fluid m-5-hor">
                        <div class="row">
                            <div class="wraper-mob">
                            <!-- menu mobile display -->
                            <button class="navbar-toggle" data-target=".navbar-collapse" data-toggle="collapse">
                                <span class="icon icon-bar">
                                </span>
                                <span class="icon icon-bar">
                                </span>
                                <span class="icon icon-bar">
                                </span>
                            </button>
                            <!-- logo -->
                            <a class="navbar-brand white" href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                <?php if ( isset( $artha_options['logo_dark'] ) || isset( $artha_options['logo_light'] ) ): ?>
                                  <?php if ( isset( $artha_options['logo_dark']['url'] ) && !empty( $artha_options['logo_dark']['url'] ) ): ?>
                                    <img
                                          class="white"
                                          alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
                                          src="<?php echo esc_url( $artha_options['logo_dark']['url'] ); ?>"/>
                                  <?php endif ?>
                                  
                                  <?php if ( isset( $artha_options['logo_light']['url'] ) && !empty( $artha_options['logo_light']['url'] ) ): ?>
                                    <img
                                          class="black"
                                          alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"
                                          src="<?php echo esc_url( $artha_options['logo_light']['url'] ); ?>"/>
                                  <?php endif; ?>
                                <?php endif ?>

                                <?php if ( empty( $artha_options['logo_dark']['url'] ) && empty( $artha_options['logo_light']['url'] ) ): ?>
                                    <h1><?php echo bloginfo( 'name' ); ?></h1>
                                <?php endif ?>
                            </a>
                            <!-- logo end -->
                            </div>
                            <!-- mainmenu start -->
                            <div class="white menu-init" id="main-menu">

                            <?php
                                $params = array(
                                    'theme_location' => 'menu-1',
                                    'container' => 'nav',
                                    'container_id' => 'menu-center',
                                    'container_class' => '',
                                );
                                wp_nav_menu($params)
                            ?>
                            </div>
                            <!-- mainmenu end -->
                        </div>
                    </div>
                    <!-- container -->
                </div>
                <!-- nav end -->
            </header>


