<?php
/**
 * Template Name: Page Contact
 */

/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package artha
 */

get_header();

global $artha_options;

$latlng = [0,0];
if (!empty($artha_options['latlng'])) {
    $latlng = explode(",", $artha_options['latlng']);
}
// var_dump($latlng);
while(have_posts()) : the_post();
?>

 <!-- subheader -->
<section id="subheader" style="background: url(<?php echo esc_url($artha_options['contact_image']['url']);?>)top fixed;">
        <div class="container-fluid m-5-hor">
          <div class="row">
            <div class="col-md-12">
              <h1>
                <?php if(isset($artha_options['contact_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($artha_options['contact_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Contact Us', 'runaway' );
                                    }
                                    ?> 
              </h1>
            </div>
        </div>
       </div>
      </section>
<!-- subheader end -->
<!-- map -->
<section aria-label="map" class="no-bottom">
    <div class="container-fluid m-5-hor">
        <div class="row">
            <div
                class="onStep"
                data-animation="fadeIn"
                data-time="300" id="map-1"
                data-marker="<?php echo get_template_directory_uri() ?>/assets/img/map-marker.png"
                data-lat="<?php echo trim($latlng[0]) ?>"
                data-lng="<?php echo trim($latlng[1]) ?>"
            >
            </div>
        </div>
    </div>
</section>
<!-- map end -->
<!-- section contact -->
<section aria-label="contact" class="whitepage">
    <div class="container-fluid m-5-hor">
        <div class="row">
            <div class="col-md-8">
                <?php
                the_content();

                wp_link_pages( array(
                    'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'artha-interactive' ),
                    'after'  => '</div>',
                ) );
                ?>
            </div>
            <!-- address -->
            <div class="col-md-3 col-md-offset-1">
                <h3 class="heading-cont">
                    <?php esc_attr_e( 'Contact Information', 'artha-interactive' ); ?>
                </h3>
                <address class="cont-1">
                    <?php if ( ! empty( $artha_options['address'] ) ): ?>
                        <span><?php echo esc_html( $artha_options['address'] ); ?></span>
                    <?php endif ?>

                    <?php if ( ! empty( $artha_options['phone'] ) ): ?>
                        <span>
                            <strong>
                                <?php esc_attr_e( 'PHONE:', 'artha-interactive' ); ?>
                            </strong>
                            <?php echo esc_html( $artha_options['phone'] ); ?>
                        </span>
                    <?php endif ?>

                    <?php if ( ! empty( $artha_options['email'] ) ): ?>
                        <span>
                            <strong>
                                <?php esc_attr_e( 'EMAIL:', 'artha-interactive' ); ?>
                            </strong>
                            <a href="mailto:<?php echo !empty($artha_options['email']) ? $artha_options['email'] : '-' ?>">
                                <?php echo !empty($artha_options['email']) ? $artha_options['email'] : '-' ?>

                            </a>
                        </span>
                    <?php endif ?>
                    <?php if ( ! empty( $artha_options['web'] ) ): ?>
                        <span>
                            <strong>
                                <?php esc_attr_e( 'WEB:', 'artha-interactive' ); ?>
                            </strong>
                            <a href="mailto:<?php echo !empty($artha_options['web']) ? $artha_options['web'] : '-' ?>">
                                <?php echo !empty($artha_options['web']) ? $artha_options['web'] : '-' ?>

                            </a>
                        </span>
                    <?php endif ?>
                </address>
            </div>
            <!-- address end -->
        </div>
    </div>
</section>

<?php endwhile ?>

<?php get_footer(); ?>