<?php
/**
Template Name: Page Our Works
**/
?>

<?php
    get_header();

    while ( have_posts() ) {
        the_post();
    }
?>
<!-- subheader -->
<section id="subheader">
</section>
<!-- subheader end -->
<!-- section projects -->
<section aria-label="works" id="projects" class="no-bottom">
    <div class="container-fluid">
        <div class="row">
            <!-- project -->
            <div class="v-align">
                <div class="col-md-11 col-xs-12">
                    <!-- filter project -->
                    <ul id="filter-hide" class="init">
                        <li class="filtter-icon">
                            <i class="ti-layout-grid3-alt">
                            </i>
                        </li>
                    </ul>
                    <ul id="filter-porto">
                        <li class="filt-projects-w selected" data-project="*">
                            <?php esc_attr_e( 'All Concept', 'artha-interactive' ); ?>
                        </li>
                        <?php
                            $tags = get_terms('works_tag');
                        ?>
                        <?php foreach($tags as $tag) :  ?>
                            <li class="filt-projects-w" data-project="<?php echo "." . $tag->slug ?>">
                                <?php echo esc_html( $tag->name ); ?>
                            </li>
                        <?php endforeach; ?>
                    </ul>
                    <!-- filter project end -->
                    <div id="w-gallery-container" class="w-gallery-container">
                        <?php
                            $args = [
                                'post_type'      => 'works',
                                'posts_per_page' => -1,
                                'post_status'    => 'publish',
                            ];
                            $query = new WP_Query($args);

                        ?>
                        <?php while($query->have_posts()): $query->the_post(); ?>
                            <?php
                                $tags = get_the_terms($post, 'works_tag');
                                $tagsSlug = [];
                                foreach ($tags as $tag) {
                                    $tagsSlug[] = $tag->slug;
                                }
                            ?>
                            <div class="w-gallery <?php echo implode($tagsSlug, ' ') ?>">
                                <div class="projects-grid">
                                    <div class="hovereffect-color">
                                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id()); ?>" alt="<?php echo esc_attr( $post->title ); ?>" class="w-gallery-image"/>
                                        <div class="overlay">
                                            <div class="v-align wrap">
                                                <span class="icon">
                                                    <a class="big-img-1" href="<?php echo wp_get_attachment_url(get_post_thumbnail_id()); ?>">
                                                        <i class="fa fa-search">
                                                        </i>
                                                    </a>
                                                    <a href="<?php the_permalink() ?>">
                                                        <i class="fa fa-link">
                                                        </i>
                                                    </a>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php wp_reset_postdata(); ?>
                        <?php endwhile; ?>

                    </div>
                </div>
            </div>
            <!-- project end -->
        </div>
    </div>
</section>
<!-- section projects end -->
<?php get_template_part('template-parts/widget', 'contact-us') ?>
<?php get_footer();?>