<?php
global $artha_options;

$slides = $artha_options['home_slides'];

foreach ( $slides as $index => $slide ) {
    if ( empty( $slide['image'] ) ) {
        unset( $slides[$index] );
    }
}

if ( empty( $slides ) ) {
    $slides = [
        [
            'image' => get_template_directory_uri() . '/assets/images-slider/img-slide-3.jpg',
            'title' => 'Experience Design',
            'description' => 'with Precision'
        ]
    ];
}

?>
        <section class="fullwidthbanner-container no-bottom no-top" aria-label="section-slider">
            <div id="revolution-slider">
                <ul>
                    <?php foreach( $slides as $slide ): ?>
                        <li
                            data-transition="parallaxtobottom"
                            data-slotamount="10"
                            data-masterspeed="1200"
                            data-delay="5000">
                            <!--  BACKGROUND IMAGE -->
                            <img
                                src="<?php echo esc_url($slide['image']) ?>"
                                alt="<?php echo esc_attr( $slide['title'] ); ?>" data-start="0"
                                data-bgposition="center center"
                                data-kenburns="on"
                                data-duration="10000"
                                data-ease="Linear.easeNone"
                                data-bgfit="120"
                                data-bgfitend="100"
                                data-bgpositionend="center center"/>
                            <div
                                class="tp-caption big-heading sft"
                                data-x="50"
                                data-y="220"
                                data-speed="800"
                                data-start="400"
                                data-easing="easeInOutExpo"
                                data-endspeed="450">
                                <?php echo esc_html($slide['title']) ?>
                            </div>
                            <div
                                class="tp-caption sub-heading sft"
                                data-x="50"
                                data-y="300"
                                data-speed="1000"
                                data-start="800"
                                data-easing="easeOutExpo"
                                data-endspeed="400">
                                <?php echo esc_html($slide['description']) ?>
                            </div>
                            <div class="tp-caption sfb" data-x="50" data-y="370" data-speed="400" data-start="800" data-easing="easeInOutExpo">
                                <div class="btn-slider">
                                    <span class="shine">
                                    </span>
                                    <a href="<?php echo isset($slide['url']) ? esc_url($slide['url']) : '#' ?>">
                                        <?php esc_attr_e( 'More Detail', 'artha-interactive' ); ?>
                                    </a>
                                </div>
                            </div>
                        </li>

                    <?php endforeach; ?>
                </ul>
                <div class="tp-bannertimer hide">
                </div>
            </div>
        </section>
        <!-- revolution slider end -->