<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header( 'shop' ); ?>

	<!-- subheader -->
	<section id="subheader" style="background: url(<?php echo esc_url($artha_options['product_image']['url']);?>)top fixed;">
        <div class="container-fluid m-5-hor">
          <div class="row">
            <div class="col-md-12">
              <h1>
                <?php if(isset($artha_options['product_single_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($artha_options['product_single_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Product Details ', 'runaway' );
                                    }
                                    ?> 
              </h1>
            </div>
        </div>
       </div>
      </section>
	<!-- subheader end -->
	
	<!-- section -->
    <section aria-label="section-blog" id="content" <?php post_class() ?>>
        <div class="container-fluid m-5-hor">
            <div class="row">
                <!-- left content -->
                <div class="col-md-12">
                	<?php
						/**
						 * woocommerce_before_main_content hook.
						 *
						 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
						 * @hooked woocommerce_breadcrumb - 20
						 */
						do_action( 'woocommerce_before_main_content' );
					?>

						<?php while ( have_posts() ) : the_post(); ?>

							<?php wc_get_template_part( 'content', 'single-product' ); ?>

						<?php endwhile; // end of the loop. ?>

					<?php
						/**
						 * woocommerce_after_main_content hook.
						 *
						 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
						 */
						do_action( 'woocommerce_after_main_content' );
					?>
                </div>
		 	</div>
		</div>
	</section>

<?php get_footer( 'shop' );

/* Omit closing PHP tag at the end of PHP files to avoid "headers already sent" issues. */
