<?php
/*
 * Template Name: Author
 * Description: A Page Template with a Page Builder design.
 */
     $artha_redux_demo = get_option('redux_demo');
     get_header(); 
?>


<section aria-label="subheader" class="no-top no-bottom" id="subheader">
        <div class="container-fluid">
          <div class="row">
            <img alt="imageportofolio" src="<?php echo esc_url($artha_redux_demo['blog_image']['url']);?>">
            <div class="breadcumbs">
              <div class="heading"><?php the_post(); 
                         printf( esc_html__( 'All posts by %s', 'artha' ), get_the_author() );?></div>
              <div class="content">
                <a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'artha' );?></a>
                 / 
                <span><?php if(isset($artha_redux_demo['blog_title'])){?>
                                <?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['blog_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Blog', 'artha' );
                                }
                                ?></span>
              </div>
            </div>
          </div>
        </div>
      </section>
<section aria-label="section-blog" id="content">
        <div class="container-fluid">
          <div class="row p-4-vh ml-mr-30">
            <!-- left content -->
            <div class="col-md-8 pr-md-4">      
                   
     <?php while (have_posts()): the_post(); ?>
                        <div class="blog-simple">
              <a href="<?php the_permalink();?>"><img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""></a>
              <div class="blog-text">
                  <h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                  <div class="spanpost">
                    <span class="user-post"><i class="ti-user"></i><?php the_author();?></span>
                    <span class="date-post"><i class="ti-calendar"></i><?php the_time('j F');?></span>
                    <span class="comment"><a href=""><i class="ti-comment"></i><?php comments_number( esc_html__('0 Comments', 'moral'), esc_html__('1 Comment', 'moral'), esc_html__('% Comments', 'moral') ); ?></a></span>
                  </div>
                  <p><?php if(isset($artha_redux_demo['blog_excerpt'])){?>
                        <?php echo esc_attr(artha_excerpt($artha_redux_demo['blog_excerpt'])); ?>
                        <?php }else{?>
                        <?php echo esc_attr(artha_excerpt(50)); 
                        }
                        ?>
</p>
                  <a class="btn-blog" href="<?php the_permalink();?>"><?php if(isset($artha_redux_demo['more_detail'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['more_detail']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'More Detail', 'artha' );
                                    }
                                    ?></a>
              </div> 
            </div>

                 <?php endwhile; ?>
                <div class="blog-simple mb-md-0 mb-5">
                    <?php artha_pagination();?>
                </div>      
            </div>
            <div class="col-md-4">
              <aside>
                <?php get_sidebar();?>
            </aside>
            </div>
            
        </div>
    </div>
</section>

    <!-- FOOTER -->
<?php
    get_footer();
?>