<?php
$artha_redux_demo = get_option('redux_demo');

//Custom fields:
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker.php';
require_once get_template_directory() . '/framework/wp_bootstrap_navwalker_2.php';
require_once get_template_directory() . '/framework/widget/recent-post.php';
require_once get_template_directory() . '/visual/shortcodes.php';
require_once get_template_directory() . '/visual/vc_shortcode.php';
//Theme Set up:
function artha_theme_setup() {
    /*
     * This theme uses a custom image size for featured images, displayed on
     * "standard" posts and pages.
     */
	add_theme_support( 'custom-header' ); 
	add_theme_support( 'custom-background' );
	$lang = get_template_directory_uri() . '/languages';
  load_theme_textdomain('artha', $lang);
    add_theme_support( 'post-thumbnails' );
    // Adds RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );
    // Switches default core markup for search form, comment form, and comments
    // to output valid HTML5.
    add_theme_support( "title-tag" );
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );
    // This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
    'primary' =>  esc_html__( 'Primary Navigation Menu: Chosen menu in  pages ...', 'artha' ),
    'primary2' =>  esc_html__( 'Primary 2 Navigation Menu: Chosen menu in  pages ...', 'artha' ),
    'menu2' =>  esc_html__( ' Menu 2: Chosen menu in single, blog ....', 'artha' ),
	) );
    // This theme uses its own gallery styles.
}
add_action( 'after_setup_theme', 'artha_theme_setup' );
if ( ! isset( $content_width ) ) $content_width = 900;



function artha_theme_scripts_styles() {
	$artha_redux_demo = get_option('redux_demo');
	$protocol = is_ssl() ? 'https' : 'http';
  if ( is_page_template( 'page-templates/intro.php' ) ) {
        return false;
      }
    wp_enqueue_style( 'bootstrap', get_template_directory_uri().'/plugin/css/bootstrap.min.css');
    wp_enqueue_style( 'slidercss', get_template_directory_uri().'/plugin/css/slidercss.css');
    if(is_page_template('page-templates/gallery.php'||'page-templates/gallery_menu.php')){
    wp_enqueue_style( 'lightgallery', get_template_directory_uri().'/plugin/css/lightgallery.css');
    }
    wp_enqueue_style( 'themify-icons', get_template_directory_uri().'/assets/css/themify-icons.css');
    wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/assets/font-awesome/css/font-awesome.css');
    if(is_page_template('page-templates/home-3.php'||'page-templates/home-2.php')){
    wp_enqueue_style( 'Settings', get_template_directory_uri().'/rs-plugin/css/settings.css');
    }
    wp_enqueue_style( 'scroll', get_template_directory_uri().'/assets/css/scroll.css');
    if(is_page_template('page-templates/home-3.php'||'page-templates/home-2.php')){
    wp_enqueue_style( 'rev-settings', get_template_directory_uri().'/assets/css/rev-settings.css');
    }
    wp_enqueue_style( 'animated-on3step', get_template_directory_uri().'/assets/css/animated-on3step.css');
    wp_enqueue_style( 'owl-carousel', get_template_directory_uri().'/plugin/css/owl.carousel.css');
    wp_enqueue_style( 'owl-theme', get_template_directory_uri().'/plugin/css/owl.theme.css');
    wp_enqueue_style( 'on3step-style', get_template_directory_uri().'/assets/css/on3step-style.css');
    wp_enqueue_style( 'queries-on3step', get_template_directory_uri().'/assets/css/queries-on3step.css');
    wp_enqueue_style( 'style', get_stylesheet_uri(), array(), '2018-05-27' );


if(isset($artha_redux_demo['chosen-color']) && $artha_redux_demo['chosen-color']==1){
    wp_enqueue_style( 'color', get_template_directory_uri().'/framework/color.php');
    } 

if(isset($artha_redux_demo['rtl']) && $artha_redux_demo['rtl']==1){
  wp_enqueue_style( 'rtl', get_template_directory_uri().'/rtl.css');  }


  

    
    
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
    wp_enqueue_script( 'comment-reply' );
  //Javascript
    wp_enqueue_script("pluginson3step", get_template_directory_uri()."/plugin/js/pluginson3step.js",array(),false,true);
    wp_enqueue_script("bootstrap", get_template_directory_uri()."/plugin/js/bootstrap.min.js",array(),false,true);
    
    wp_enqueue_script("artha-sticky", get_template_directory_uri()."/plugin/js/sticky.js",array(),false,true);
    if(!is_page_template('page-templates/home-3.php')){
    wp_enqueue_script("artha-slider", get_template_directory_uri()."/plugin/js/slider.js",array(),false,true);
      }
      if(is_page_template('page-templates/gallery.php'||'page-templates/gallery_menu.php')){
    wp_enqueue_script("lightgallery", get_template_directory_uri()."/plugin/js/lightgallery.js",array(),false,true);
      }
    wp_enqueue_script("themepunch-tools", get_template_directory_uri()."/rs-plugin/js/jquery.themepunch.tools.min.js",array(),false,true);
    wp_enqueue_script("themepunch-revolution", get_template_directory_uri()."/rs-plugin/js/jquery.themepunch.revolution.min.js",array(),false,true);
    wp_enqueue_script("on3step", get_template_directory_uri()."/assets/js/on3step.js",array(),false,true);
    
    wp_enqueue_script("plugin-set", get_template_directory_uri()."/assets/js/plugin-set.js",array(),false,true);
    
  
    
}
    
add_action( 'wp_enqueue_scripts', 'artha_theme_scripts_styles' );

function intro_scripts() {
    if ( is_page_template( 'page-templates/intro.php' ) ) {
        wp_enqueue_style( 'boostrap2', get_template_directory_uri() . '/intro/css/bootstrap.min.css' );
        
        wp_enqueue_style( 'settings2', get_template_directory_uri() . '/intro/rs-plugin/css/settings.css' );
        wp_enqueue_style( 'rev-settings', get_template_directory_uri() . '/intro/css/rev-settings.css' );
        wp_enqueue_style( 'font-awesome222', get_template_directory_uri() . '/intro/font-awesome/css/font-awesome.css' );
        wp_enqueue_style( 'intro-style455', get_template_directory_uri() . '/intro/css/intro-style.css' );
        

        wp_enqueue_script( 'pluginson3step132', get_template_directory_uri() . '/intro/plugin/pluginintro.js', array( 'jquery' ), '', true );
        wp_enqueue_script( 'slider1', get_template_directory_uri() . '/intro/rs-plugin/js/jquery.themepunch.tools.min.js', array('jquery'), '', true);
        wp_enqueue_script( 'slider-23', get_template_directory_uri() . '/intro/rs-plugin/js/jquery.themepunch.revolution.min.js', array('jquery'), '', true);
        wp_enqueue_script( 'intro-js3', get_template_directory_uri() . '/intro/mainintro/intro.js', array('jquery'), '', true);
    }
}
add_action( 'wp_enqueue_scripts', 'intro_scripts', 10 );



//Custom Excerpt Function
function artha_do_shortcode($content) {
    global $shortcode_tags;
    if (empty($shortcode_tags) || !is_array($shortcode_tags))
        return $content;
    $pattern = get_shortcode_regex();
    return preg_replace_callback( "/$pattern/s", 'do_shortcode_tag', $content );
}

add_filter('user_contactmethods', 'my_user_contactmethods');  
               
function my_user_contactmethods($user_contactmethods){  
  
    
  $user_contactmethods['facebook'] = 'Facebook Link';  
  $user_contactmethods['twitter'] = 'Twitter Link';
  $user_contactmethods['googleplus'] = 'Google Plus Link';  
  $user_contactmethods['instagram'] = 'Instagram Link';  
  $user_contactmethods['linkedin'] = 'Linkedin Link'; 
  $user_contactmethods['job'] = 'Job';  
  
  return $user_contactmethods;  
}   
// Widget Sidebar
function artha_widgets_init() {
	register_sidebar( array(
    'name'          => esc_html__( 'Primary Sidebar', 'artha' ),
    'id'            => 'sidebar-1',        
		'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'artha' ),        
		'before_widget' => '<aside id="%1$s" class="widget popular-categories %2$s" >',        
		'after_widget'  => '</aside>',        
		'before_title'  => '<div class="sidebar-title">
                                   <h3>',        
		'after_title'   => '</h3>
                              </div>'
    ) );
  register_sidebar( array(
    'name'          => esc_html__( ' Sidebar Shop', 'artha' ),
    'id'            => 'sidebar-2',        
    'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'artha' ),        
    'before_widget' => '<aside id="%1$s" class="widget popular-categories %2$s" >',        
    'after_widget'  => '</aside>',        
    'before_title'  => '<div class="sidebar-title">
                                   <h3>',        
    'after_title'   => '</h3>
                              </div>'
    ) );
  

    register_sidebar( array(
    'name'          => esc_html__( 'Footer One Widget', 'artha' ),
    'id'            => 'footer-area-1',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'artha' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Two Widget', 'artha' ),
    'id'            => 'footer-area-2',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'artha' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Three Widget', 'artha' ),
    'id'            => 'footer-area-3',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'artha' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Four Widget', 'artha' ),
    'id'            => 'footer-area-4',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'artha' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Five Widget', 'artha' ),
    'id'            => 'footer-area-5',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'artha' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Six Widget', 'artha' ),
    'id'            => 'footer-area-6',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'artha' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Seven Widget', 'artha' ),
    'id'            => 'footer-area-7',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'artha' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
    register_sidebar( array(
    'name'          => esc_html__( 'Footer Eight Widget', 'artha' ),
    'id'            => 'footer-area-8',
    'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'artha' ),
    'before_widget' => '<div id="%1$s">',
    'after_widget'  => '</div>',
    'before_title'  => ' ',
    'after_title'   => ' ',
  ) );
}
add_action( 'widgets_init', 'artha_widgets_init' );

//function tag widgets
function artha_tag_cloud_widget($args) {
	$args['number'] = 0; //adding a 0 will display all tags
	$args['largest'] = 18; //largest tag
	$args['smallest'] = 11; //smallest tag
	$args['unit'] = 'px'; //tag font unit
	$args['format'] = 'list'; //ul with a class of wp-tag-cloud
	$args['exclude'] = array(20, 80, 92); //exclude tags by ID
	return $args;
}
add_filter( 'widget_tag_cloud_args', 'artha_tag_cloud_widget' );
function artha_excerpt() {
  $artha_redux_demo = get_option('redux_demo');
  if(isset($artha_redux_demo['blog_excerpt'])){
    $limit = $artha_redux_demo['blog_excerpt'];
  }else{
    $limit = 50;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
function artha_excerpt_2() {
  $artha_redux_demo = get_option('redux_demo');
  if(isset($artha_redux_demo['blog_excerpt_2'])){
    $limit = $artha_redux_demo['blog_excerpt_2'];
  }else{
    $limit = 50;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

function artha_excerpt_3() {
  $artha_redux_demo = get_option('redux_demo');
  if(isset($artha_redux_demo['projects_excerpt'])){
    $limit = $artha_redux_demo['projects_excerpt'];
  }else{
    $limit = 30;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

function artha_product_excerpt() {
  $artha_redux_demo = get_option('redux_demo');
  if(isset($artha_redux_demo['product_excerpt'])){
    $limit = $artha_redux_demo['product_excerpt'];
  }else{
    $limit = 20;
  }
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}
//pagination
if (!function_exists( 'next_pagination' )){
 
    function next_pagination(){
 
        if ( $GLOBALS['wp_query']->max_num_pages <2 ){ return ''; }?>
 
            <?php if ( function_exists('wp_pagenavi') ): ?>
 
            <?php wp_pagenavi(); ?> 
 
            <?php else: ?>
                <nav class="pagination" role="navigation">
 
                    <?php if ( get_next_posts_link() ) : ?>
 
                        <li><?php next_posts_link( __('Previous', 'artha') ); ?></li>
 
                    <?php endif; ?>
                    
 
                    <?php if ( get_previous_posts_link() ) :?>
 
                        <li><?php previous_posts_link(__('Next', 'artha') ); ?></li>
 
                    <?php endif; ?>
 
                </nav>
 
             <?php endif; ?>
 
       <?php }
}
function artha_pagination($pages='') {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    if($pages==''){
        global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
    }
    $pagination = array(
    'base'      => str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
    'format'    => '',
    'current'     => max( 1, get_query_var('paged') ),
    'total'     => $pages,
    'prev_text' => wp_specialchars_decode(esc_html__( 'Previous', 'artha' ),ENT_QUOTES),
    'next_text' => wp_specialchars_decode(esc_html__( 'Next', 'artha' ),ENT_QUOTES),
    'type'      => 'list',
    'end_size'    => 3,
    'mid_size'    => 3
);
    $return =  paginate_links( $pagination );
  echo str_replace( "<ul class='page-numbers'>", '<ul class="pagination">', $return );
}

function artha_search_form( $form ) {
    $form = '

<form action="' . esc_url(home_url('/')) . '" id="searchmenu">
      
          <input type="text" class="s-input-home" name="s" id="s" required value="' . get_search_query() . '" placeholder="'.esc_attr__('Search…', 'artha').'">
          
                  <button class="btn-s-input" type="submit"><i class="fa fa-search"></i></button>
  </form>
	';
    return $form;
}
add_filter( 'get_search_form', 'artha_search_form' );
//Custom comment List:

// Comment Form
function artha_theme_comment($comment, $args, $depth) {
    //echo 's';
   $GLOBALS['comment'] = $comment; ?>
    <?php if(get_avatar($comment,$size='70' )!=''){?> 
<ul>
  <li>       
    <div class="avatar"><?php echo get_avatar($comment,$size='70');?>
    </div>
    <div class="comment-info">
       <span class="c-name"><?php printf( get_comment_author_link()) ?></span>
       <span class="c-date"><?php the_time('F Y j'); ?>, <?php the_time('G:i'); ?></span>
       <div class="comment-content entry clr"><p><?php comment_text() ?></p></div>
       <span class="c-reply"><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></span>
    </div>
  </li>
</ul>  
  <?php }else{?>
<ul>
  <li>  
    <div class="article">
      <div class="comment-text">
                  <div class="author-info">
                      <h4><?php printf( get_comment_author_link()) ?></h4>
                      <span class="reply"><a><i class="fa fa-reply"></i><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?></a></span>
                      <span class="comment-time"><?php the_time('F Y j'); ?>, <?php the_time('G:i'); ?></span>
                  </div>
                  <?php comment_text() ?>
              </div>
          </div>
  </li>
</ul>  
<?php }?>

<?php
}

function artha_custom_css_classes_for_vc_row_and_vc_column($class_string, $tag) {
    if($tag=='vc_row' || $tag=='vc_row_inner') {
        $class_string = str_replace('vc_row-fluid', '', $class_string);
    }
    if($tag=='vc_column' || $tag=='vc_column_inner') {
    $class_string = preg_replace('/vc_col-sm-12/', 'col-md-12', $class_string);
    $class_string = preg_replace('/vc_col-sm-6/', 'col-md-6', $class_string);
    $class_string = preg_replace('/vc_col-sm-4/', 'col-md-4', $class_string);
    $class_string = preg_replace('/vc_col-sm-3/', 'col-md-3', $class_string);
    $class_string = preg_replace('/vc_col-sm-5/', 'col-md-5', $class_string);
    $class_string = preg_replace('/vc_col-sm-7/', 'col-md-7', $class_string);
    $class_string = preg_replace('/vc_col-sm-8/', 'col-md-8', $class_string);
    $class_string = preg_replace('/vc_col-sm-9/', 'col-md-9', $class_string);
    $class_string = preg_replace('/vc_col-sm-10/', 'col-md-10', $class_string);
    $class_string = preg_replace('/vc_col-sm-11/', 'col-md-11', $class_string);
    $class_string = preg_replace('/vc_col-sm-1/', 'col-md-1', $class_string);
    $class_string = preg_replace('/vc_col-sm-2/', 'col-md-2', $class_string);
    }
    return $class_string;
}
// Filter to Replace default css class for vc_row shortcode and vc_column
add_filter('vc_shortcodes_css_class', 'artha_custom_css_classes_for_vc_row_and_vc_column', 10, 2); 
// Add new Param in Row
if(function_exists('vc_add_param')){

vc_add_param('vc_row',array(
                             'type' => 'dropdown',
                             'heading' => esc_html__( 'Chosen type row', 'artha' ),
                             'param_name' => 'type_row',
                             'value' => array(
                      esc_html__( 'None', 'artha' ) => 'none',
                      esc_html__( 'Row', 'artha' ) => 'row',
                      esc_html__( 'Slider Home', 'artha' ) => 'slider_home',
                      esc_html__( 'About Home', 'artha' ) => 'about_home',
                      esc_html__( 'About Index 1', 'artha' ) => 'about_index_1',
                      esc_html__( 'Brand', 'artha' ) => 'brand',
                      esc_html__( 'Revolution Slider', 'artha' ) => 'revolution_slider',
                      esc_html__( 'Team', 'artha' ) => 'team',
                      esc_html__( 'Map', 'artha' ) => 'map',
                      esc_html__( 'Contact', 'artha' ) => 'contact',
                      esc_html__( 'Intro', 'artha' ) => 'intro',
                               
                                
                             ),
                             'description' => esc_html__( 'Select type row', 'artha' )
      )); 



vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Title', 'artha'),
                              "param_name" => "ses_title",
                              "value" => "",
                              "description" => esc_html__("Title of Section, Leave a blank do not show frontend.", "artha"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textarea",
                              "heading" => esc_html__('Section Boldtitle', 'artha'),
                              "param_name" => "ses_boldtitle",
                              "value" => "",
                              "description" => esc_html__("Section Bold Title, Leave a blank do not show frontend.", "artha"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Title 1', 'artha'),
                              "param_name" => "ses_title1",
                              "value" => "",
                              "description" => esc_html__("Title of Section, Leave a blank do not show frontend.", "artha"),   
    ));

vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Title 2', 'artha'),
                              "param_name" => "ses_title2",
                              "value" => "",
                              "description" => esc_html__("Title of Section, Leave a blank do not show frontend.", "artha"),   
    ));


vc_add_param('vc_row',array(
                              "type" => "textarea",
                              "heading" => esc_html__('Section Subtitle', 'artha'),
                              "param_name" => "ses_subtitle",
                              "value" => "",
                              "description" => esc_html__("Section Subtitle, Leave a blank do not show frontend.", "artha"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textarea",
                              "heading" => esc_html__('Section Desc', 'artha'),
                              "param_name" => "ses_desc",
                              "value" => "",
                              "description" => esc_html__("Section Desc, Leave a blank do not show frontend.", "artha"),   
    ));
vc_add_param('vc_row',array(
                             'type' => 'attach_image',
                             'heading' => esc_html__( 'Image Background', 'artha' ),
                             'param_name' => 'ses_image',
                             'value' => '',
                             'description' => esc_html__( 'Select image from media library to do your signature.', 'artha' )
      ));
vc_add_param('vc_row',array(
                             'type' => 'attach_image',
                             'heading' => esc_html__( 'Image Background', 'artha' ),
                             'param_name' => 'ses_image_2',
                             'value' => '',
                             'description' => esc_html__( 'Select image from media library to do your signature.', 'artha' )
      ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section text btn1', 'artha'),
                              "param_name" => "ses_btn1",
                              "value" => "",
                              "description" => esc_html__("text btn of Section, Leave a blank do not show frontend.", "artha"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Link btn1', 'artha'),
                              "param_name" => "ses_link1",
                              "value" => "",
                              "description" => esc_html__("Link btn of Section, Leave a blank do not show frontend.", "artha"),  
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section text btn2', 'artha'),
                              "param_name" => "ses_btn2",
                              "value" => "",
                              "description" => esc_html__("text btn of Section, Leave a blank do not show frontend.", "artha"),   
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Section Link btn2', 'artha'),
                              "param_name" => "ses_link2",
                              "value" => "",
                              "description" => esc_html__("Link btn of Section, Leave a blank do not show frontend.", "artha"),  
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Tab 1 title', 'artha'),
                              "param_name" => "tab1",
                              "value" => "",
                              "description" => esc_html__("Tab 1 title", "artha"),  
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Tab 2 title', 'artha'),
                              "param_name" => "tab2",
                              "value" => "",
                              "description" => esc_html__("Tab 2 title", "artha"),  
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Tab 3 title', 'artha'),
                              "param_name" => "tab3",
                              "value" => "",
                              "description" => esc_html__("Tab 3 title", "artha"),  
    ));
vc_add_param('vc_row',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Link Audio', 'artha'),
                              "param_name" => "link_audio",
                              "value" => "",
                              "description" => esc_html__("Link Audio", "artha"),  
    ));


// Add new Param in Column  
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Column Title', 'artha'),
                              "param_name" => "title",
                              "value" => "",
                              "description" => esc_html__("Title of column", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Column Subtitle', 'artha'),
                              "param_name" => "subtitle",
                              "value" => "",
                              "description" => esc_html__("Subtitle of column", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Link facebook', 'artha'),
                              "param_name" => "link_facebook",
                              "value" => "",
                              "description" => esc_html__("Link", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Facebook', 'artha'),
                              "param_name" => "facebook",
                              "value" => "",
                              "description" => esc_html__("Facebook", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Link twitter', 'artha'),
                              "param_name" => "link_twitter",
                              "value" => "",
                              "description" => esc_html__("Link", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Twitter', 'artha'),
                              "param_name" => "twitter",
                              "value" => "",
                              "description" => esc_html__("Twitter", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Link google-plus', 'artha'),
                              "param_name" => "link_google_plus",
                              "value" => "",
                              "description" => esc_html__("Link", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Link linkedin', 'artha'),
                              "param_name" => "link_linkedin",
                              "value" => "",
                              "description" => esc_html__("Link", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Link rss', 'artha'),
                              "param_name" => "link_rss",
                              "value" => "",
                              "description" => esc_html__("Link", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Link', 'artha'),
                              "param_name" => "link",
                              "value" => "",
                              "description" => esc_html__("Link", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Text', 'artha'),
                              "param_name" => "text",
                              "value" => "",
                              "description" => esc_html__("Text", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Button', 'artha'),
                              "param_name" => "button",
                              "value" => "",
                              "description" => esc_html__("Button", "artha"),      
                            ) 
    );
vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Icon', 'artha'),
                              "param_name" => "icon",
                              "value" => "",
                              "description" => esc_html__("Icon", "artha"),      
                            ) 
    );  
vc_add_param('vc_column',array(
                             'type' => 'dropdown',
                             'heading' => esc_html__( 'Type', 'artha' ),
                             'param_name' => 'type',
                             'value' => array(
                                esc_html__( 'None', 'artha' ) => 'none',
                                esc_html__( 'Column', 'artha' ) => 'column',
                                esc_html__( 'About Home', 'artha' ) => 'about_home',
                                esc_html__( 'Contact Info', 'artha' ) => 'contact',
                                

                                



                                             ),
                             'description' => esc_html__( 'Select type section content', 'artha' )
      )); 
vc_add_param('vc_column',array(
                             'type' => 'attach_image',
                             'heading' => esc_html__( 'Image Background', 'artha' ),
                             'param_name' => 'image',
                             'value' => '',
                             'description' => esc_html__( 'Select image from media library to do your signature.', 'artha' )
      )); 
}

/**
 * This file represents an example of the code that themes would use to register
 * the required plugins.
 *
 * It is expected that theme authors would copy and paste this code into their
 * functions.php file, and amend to suit.
 *
 * @package    TGM-Plugin-Activation
 * @subpackage Example
 * @version    2.6.1
 * @author     Thomas Griffin <thomasgriffinmedia.com>
 * @author     Gary Jones <gamajo.com>
 * @copyright  Copyright (c) 2014, Thomas Griffin
 * @license    http://opensource.org/licenses/gpl-2.0.php GPL v2 or later
 * @link       https://github.com/thomasgriffin/TGM-Plugin-Activation
 */
/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'artha_theme_register_required_plugins' );
/**
 * Register the required plugins for this theme.
 *
 * In this example, we register two plugins - one included with the TGMPA library
 * and one from the .org repo.
 *
 * The variable passed to tgmpa_register_plugins() should be an array of plugin
 * arrays.
 *
 * This function is hooked into tgmpa_init, which is fired within the
 * TGM_Plugin_Activation class constructor.
 */
 
 
function artha_theme_register_required_plugins() {
    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $plugins = array(
        // This is an example of how to include a plugin from the WordPress Plugin Repository.
      array(
            'name'      => esc_html__( 'Contact Form 7', 'artha' ),
            'slug'      => 'contact-form-7',
            'required'  => true,
        ),
      array(
            'name'      => esc_html__( 'One Click Demo Import', 'artha' ),
            'slug'      => 'one-click-demo-import',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Classic Editor', 'artha' ),
            'slug'      => 'classic-editor',
            'required'  => true,
        ), 
      array(
            'name'      => esc_html__( 'Widget Importer & Exporter', 'artha' ),
            'slug'      => 'widget-importer-&-exporter',
            'required'  => true,
        ), 
      array(
            'name'               => esc_html__( 'WPBakery Visual Composer', 'artha' ), // The plugin name.
            'slug'               => 'visualcomposer',
            'source'             => get_template_directory_uri() . '/framework/plugins/js_composer.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ),
      array(
            'name'                     => esc_html__( 'Artha Common', 'artha' ),
            'slug'                     => 'artha-common',
            'required'                 => true,
            'source'                   => get_template_directory() . '/framework/plugins/artha-common.zip',
        )
    );
    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'artha' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'artha' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'artha' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'artha' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'artha' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'artha' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'artha' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'artha' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'artha' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'artha' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'artha' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'artha' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'artha' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'artha' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'artha' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'artha' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'artha' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );
    tgmpa( $plugins, $config );
}



function artha_import_files() {
    return array(
        array(
            'import_file_name'           => 'Demo Import artha',
            'import_file_url'            => 'http://shtheme.com/import/artha/content2.xml',
            'import_preview_image_url'   => 'http://shtheme.com/import/artha/Image-Preview.png',
            'import_notice'              => esc_html__( 'Import data example artha', 'artha' ),
        ),
    );
}
add_filter( 'pt-ocdi/import_files', 'artha_import_files' );




function artha_after_import_setup() {
    // Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'Primary Menu', 'primary' );
    

    set_theme_mod( 'nav_menu_locations', array(
            'primary' => $main_menu->term_id,
            
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Index' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'artha_after_import_setup' );



?>