<!doctype html>
<html <?php language_attributes(); ?>>
<?php $artha_redux_demo = get_option('redux_demo'); ?>
<head>
        <meta charset="<?php bloginfo( 'charset' ); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
    <?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
        ?>
    <link rel="shortcut icon" href="<?php if(isset($artha_redux_demo['favicon']['url'])){?><?php echo esc_url($artha_redux_demo['favicon']['url']); ?><?php }?>">
    <?php }?>
        <?php wp_head(); ?> 
</head>
<body <?php body_class(); ?>>
<!--[if lt IE 8]>
<p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
<![endif]-->


    <!-- < NAVIGATION WITH BACKGROUND COLOR NAVBAR >............................................ -->
<!-- removed navbar-toggleable-md because responsive issues. Find out why ..... -->


    <!-- start page-wrapper -->
    <header class="fixed">
            <div class="header-top">
                <div class="container">
                    <div class="row">
                        <div class="col-md-4 col-sm-6 hidden-xs">
                            <div class="currency-language">
                                <div class="currency-menu">
                                    <ul>
                                        <li><a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['currency_link']));?>"><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['currency']));?> <i class="fa fa-angle-down"></i></a>
                                            <ul class="currency-dropdown">
                                                <li><a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['currency_link_1']));?>"><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['currency_1']));?></a></li>
                                                <li><a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['currency_link_2']));?>"><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['currency_2']));?></a></li>
                                            </ul>
                                        </li>
                                    </ul>
                                </div>
                                <div class="language-menu">
                                    <ul>
                                        <li><a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_link']));?>"><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language']));?> <i class="fa fa-angle-down"></i></a>
                                            <ul class="language-dropdown">
                                                <li><a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_link_1']));?>"><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_1']));?></a></li>
                                                <li><a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_link_2']));?>"><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_2']));?></a></li>
                                                <li><a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_link_3']));?>"><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_3']));?></a></li>
                                                <li><a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_link_4']));?>"><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['language_4']));?></a></li>
                                            </ul>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-8 col-sm-6 col-xs-12">
                            <div class="header-top-right">
                                <div class="login">
                                    <a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['link_register']));?>"><i class="fa fa-pencil-square-o"></i><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['register']));?></a>
                                </div>
                                <div class="account">
                                    <a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['link_sign_in']));?>"><i class="fa fa-lock"></i><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['sign_in']));?></a>
                                </div>
                                <ul class="header-r-cart">
                                    <li><a href="#" class="cart"><i class="fa fa-shopping-cart"></i>(2)</a>
                                       
                                        <div class="mini-cart-content">
                                             <?php
                                foreach ( WC()->cart->get_cart() as $cart_item_key => $cart_item ) {
                                    $_product   = apply_filters( 'woocommerce_cart_item_product', $cart_item['data'], $cart_item, $cart_item_key );
                                    $product_id = apply_filters( 'woocommerce_cart_item_product_id', $cart_item['product_id'], $cart_item, $cart_item_key );

                                    if ( $_product && $_product->exists() && $cart_item['quantity'] > 0 && apply_filters( 'woocommerce_cart_item_visible', true, $cart_item, $cart_item_key ) ) {
                                        $product_permalink = apply_filters( 'woocommerce_cart_item_permalink', $_product->is_visible() ? $_product->get_permalink( $cart_item ) : '', $cart_item, $cart_item_key );
                                        ?>
                                            <div class="cart-products-list">

                                                <div class="cart-products">
                                                    <div class="cart-image cart-image-header">
                                                            <?php
                                                                $thumbnail = apply_filters( 'woocommerce_cart_item_thumbnail', $_product->get_image(), $cart_item, $cart_item_key );

                                                                if ( ! $product_permalink ) {
                                                                    echo $thumbnail;
                                                                } else {
                                                                    printf( '<a href="%s">%s</a>', esc_url( $product_permalink ), $thumbnail );
                                                                }
                                                            ?>
                                                    </div>
                                                    <div class="cart-product-info cart-product-info-header">
                                                        <td class="product-remove product-remove-header">
                                                            <?php
                                                                echo apply_filters( 'woocommerce_cart_item_remove_link', sprintf(
                                                                    '<a href="%s" class="remove" title="%s" data-product_id="%s" data-product_sku="%s">&times;</a>',
                                                                    esc_url( WC()->cart->get_remove_url( $cart_item_key ) ),
                                                                    __( 'Remove this item', 'woocommerce' ),
                                                                    esc_attr( $product_id ),
                                                                    esc_attr( $_product->get_sku() )
                                                                ), $cart_item_key );
                                                            ?>
                                                        </td>
                                                        <?php
                                                            if ( ! $product_permalink ) {
                                                                echo apply_filters( 'woocommerce_cart_item_name', $_product->get_title(), $cart_item, $cart_item_key ) . '&nbsp;';
                                                            } else {
                                                                echo apply_filters( 'woocommerce_cart_item_name', sprintf( '<a href="%s">%s</a>', esc_url( $product_permalink ), $_product->get_title() ), $cart_item, $cart_item_key );
                                                            }

                                                            // Meta data
                                                            echo WC()->cart->get_item_data( $cart_item );

                                                            // Backorder notification
                                                            if ( $_product->backorders_require_notification() && $_product->is_on_backorder( $cart_item['quantity'] ) ) {
                                                                echo '<p class="backorder_notification">' . esc_html__( 'Available on backorder', 'woocommerce' ) . '</p>';
                                                            }
                                                        ?>
                                                        <td class="product-quantity product-quantity-header" data-title="<?php _e( 'Quantity', 'woocommerce' ); ?>">
                                                            <?php
                                                                if ( $_product->is_sold_individually() ) {
                                                                    $product_quantity = sprintf( '1 <input type="hidden" name="cart[%s][qty]" value="1" />', $cart_item_key );
                                                                } else {
                                                                    $product_quantity = woocommerce_quantity_input( array(
                                                                        'input_name'  => "cart[{$cart_item_key}][qty]",
                                                                        'input_value' => $cart_item['quantity'],
                                                                        'max_value'   => $_product->backorders_allowed() ? '' : $_product->get_stock_quantity(),
                                                                        'min_value'   => '0'
                                                                    ), $_product, false );
                                                                }

                                                                echo apply_filters( 'woocommerce_cart_item_quantity', $product_quantity, $cart_item_key, $cart_item );
                                                            ?>
                                                        </td>
                                                        <td class="product-price product-price-header" data-title="<?php _e( 'Price', 'woocommerce' ); ?>">
                                                            <?php
                                                                echo apply_filters( 'woocommerce_cart_item_price', WC()->cart->get_product_price( $_product ), $cart_item, $cart_item_key );
                                                            ?>
                                                        </td>
                                                        
                                                    </div>
                                                </div>

                                            </div>
                                        <?php } } ?>

                                            <div class="cart-price-list">
                                                <table cellspacing="0" class="shop_table shop_table_responsive">

        <tr class="cart-subtotal">
            <th><?php _e( 'Total', 'woocommerce' ); ?></th>
            <td data-title="<?php esc_attr_e( 'total', 'woocommerce' ); ?>"><?php wc_cart_totals_subtotal_html(); ?></td>
        </tr>

        <?php foreach ( WC()->cart->get_coupons() as $code => $coupon ) : ?>
            <tr class="cart-discount coupon-<?php echo esc_attr( sanitize_title( $code ) ); ?>">
                <th><?php wc_cart_totals_coupon_label( $coupon ); ?></th>
                <td data-title="<?php echo esc_attr( wc_cart_totals_coupon_label( $coupon, false ) ); ?>"><?php wc_cart_totals_coupon_html( $coupon ); ?></td>
            </tr>
        <?php endforeach; ?>

        <?php if ( WC()->cart->needs_shipping() && WC()->cart->show_shipping() ) : ?>

            <?php do_action( 'woocommerce_cart_totals_before_shipping' ); ?>

            <?php wc_cart_totals_shipping_html(); ?>

            <?php do_action( 'woocommerce_cart_totals_after_shipping' ); ?>

        <?php elseif ( WC()->cart->needs_shipping() && 'yes' === get_option( 'woocommerce_enable_shipping_calc' ) ) : ?>

            <tr class="shipping">
                <th><?php _e( 'Shipping', 'woocommerce' ); ?></th>
                <td data-title="<?php esc_attr_e( 'Shipping', 'woocommerce' ); ?>"><?php woocommerce_shipping_calculator(); ?></td>
            </tr>

        <?php endif; ?>

        <?php foreach ( WC()->cart->get_fees() as $fee ) : ?>
            <tr class="fee">
                <th><?php echo esc_html( $fee->name ); ?></th>
                <td data-title="<?php echo esc_attr( $fee->name ); ?>"><?php wc_cart_totals_fee_html( $fee ); ?></td>
            </tr>
        <?php endforeach; ?>

        <?php if ( wc_tax_enabled() && 'excl' === WC()->cart->tax_display_cart ) :
            $taxable_address = WC()->customer->get_taxable_address();
            $estimated_text  = WC()->customer->is_customer_outside_base() && ! WC()->customer->has_calculated_shipping()
                    ? sprintf( ' <small>(' . __( 'estimated for %s', 'woocommerce' ) . ')</small>', WC()->countries->estimated_for_prefix( $taxable_address[0] ) . WC()->countries->countries[ $taxable_address[0] ] )
                    : '';

            if ( 'itemized' === get_option( 'woocommerce_tax_total_display' ) ) : ?>
                <?php foreach ( WC()->cart->get_tax_totals() as $code => $tax ) : ?>
                    <tr class="tax-rate tax-rate-<?php echo sanitize_title( $code ); ?>">
                        <th><?php echo esc_html( $tax->label ) . $estimated_text; ?></th>
                        <td data-title="<?php echo esc_attr( $tax->label ); ?>"><?php echo wp_kses_post( $tax->formatted_amount ); ?></td>
                    </tr>
                <?php endforeach; ?>
            <?php else : ?>
                <tr class="tax-total">
                    <th><?php echo esc_html( WC()->countries->tax_or_vat() ) . $estimated_text; ?></th>
                    <td data-title="<?php echo esc_attr( WC()->countries->tax_or_vat() ); ?>"><?php wc_cart_totals_taxes_total_html(); ?></td>
                </tr>
            <?php endif; ?>
        <?php endif; ?>

        <?php do_action( 'woocommerce_cart_totals_before_order_total' ); ?>

        

        <?php do_action( 'woocommerce_cart_totals_after_order_total' ); ?>

    </table>
                                                <div class="cart-buttons">
                                                    <a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['cart_link']));?>"><i class="fa fa-shopping-cart"></i><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['view_cart']));?></a>
                                                    <a href="<?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['Checkout_link']));?>"><i class="fa fa-sign-in"></i><?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['checkout']));?></a>
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                </ul>
                            </div>    
                        </div>
                    </div>
                </div>
            </div>  
            <!--Logo Mainmenu Start-->
            <div class="header-logo-menu">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="logo-menu-bg">
                                <div class="row">
                                    <div class="col-md-4 col-sm-12">
                                        <div class="logo">
                                            <a href="<?php echo esc_url(home_url('/')); ?>"><img src="<?php echo esc_url($artha_redux_demo['logo']['url']); ?>" alt="artha"></a>
                                        </div>
                                    </div>
                                    <div class="col-md-8 hidden-sm hidden-xs">
                                        <div class="mainmenu">
                                            <nav>
                                               <?php 

                  wp_nav_menu( 

                  array( 

                        'theme_location' => 'primary',

                        'container' => '',

                        'menu_class' => '', 

                        'menu_id' => '',

                        'menu'            => '',

                        'container_class' => '',

                        'container_id'    => '',

                        'echo'            => true,

                         'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',

                         'walker'            => new artha_wp_bootstrap_navwalker(),

                        'before'          => '',

                        'after'           => '',

                        'link_before'     => '',

                        'link_after'      => '',

                        'items_wrap'      => '<ul id="nav" >%3$s</ul>',

                        'depth'           => 0,        

                    )

                 ); ?>
                                            </nav>
                                        </div> 
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>      
            <!--End of Logo Mainmenu-->
            <!-- Mobile Menu Area start -->
            <div class="mobile-menu-area">
                <div class="container">
                    <div class="row">
                        <div class="col-lg-12 col-md-12 col-sm-12">
                            <div class="mobile-menu">
                                <nav id="dropdown">
                                    <?php 

                  wp_nav_menu( 

                  array( 

                        'theme_location' => 'primary2',

                        'container' => '',

                        'menu_class' => '', 

                        'menu_id' => '',

                        'menu'            => '',

                        'container_class' => '',

                        'container_id'    => '',

                        'echo'            => true,

                         'fallback_cb'       => 'wp_bootstrap_navwalker::fallback',

                         'walker'            => new artha_wp_bootstrap_navwalker(),

                        'before'          => '',

                        'after'           => '',

                        'link_before'     => '',

                        'link_after'      => '',

                        'items_wrap'      => '<ul ">%3$s</ul>',

                        'depth'           => 0,        

                    )

                 ); ?>
                                </nav>
                            </div>                  
                        </div>
                    </div>
                </div>
            </div>
            <!-- Mobile Menu Area end -->
        </header>
        <!-- end of header -->
