<?php
/*
 * Template Name: Blog Black
 * Description: A Page Template with a Page Builder design.
 */
     $artha_redux_demo = get_option('redux_demo');
     get_header('2'); 
?>

<section aria-label="breadcumb" class="no-padding crumbs">
        <div class="container-fluid m-5-hor">
          <div class="row">
            <div class="col-md-12">
              <h1 class="crumbs"><?php if(isset($artha_redux_demo['blog_single_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['blog_single_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Blog', 'artha' );
                                    }
                                    ?></h1>
                <ul id="crumbs">
                  <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'artha' );?></a></li>
                  <li><?php if(isset($artha_redux_demo['blog_single_title'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['blog_single_title']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'Blog', 'artha' );
                                    }
                                    ?></li>
                </ul>
              </div>
          </div>
        </div>
      </section>



<section aria-label="section-blog" class="no-top" id="content">
        <div class="container-fluid m-5-hor">
          <div class="row">
            <div class="col-md-8">      
                   
     <?php $args = array(    
                            'paged' => $paged,
                            'post_type' => 'post',
                            );
                        $wp_query = new WP_Query($args);
                        while (have_posts()): the_post(); 
                    ?>
                    <div class="blog-simple">
                            <a href="<?php the_permalink();?>"><img class="img-responsive" src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt=""></a>
                            <div class="blog-text">
                                    <h2><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                                    <span class="user-post"><i class="ti-user"></i><?php the_author();?></span>
                                    <span class="date-post"><i class="ti-calendar"></i><?php the_time('j F');?></span>
                                    <span class="comment"><a href=""><i class="ti-comment"></i><?php comments_number( esc_html__('0 Comments', 'moral'), esc_html__('1 Comment', 'moral'), esc_html__('% Comments', 'moral') ); ?></a></span>
                                    <p><?php if(isset($artha_redux_demo['blog_excerpt'])){?>
                        <?php echo esc_attr(artha_excerpt($artha_redux_demo['blog_excerpt'])); ?>
                        <?php }else{?>
                        <?php echo esc_attr(artha_excerpt(50)); 
                        }
                        ?>
</p>
                                    <a class="btn-blog" href="<?php the_permalink();?>"><?php if(isset($artha_redux_demo['more_detail'])){?>
                                    <?php echo htmlspecialchars_decode(esc_attr($artha_redux_demo['more_detail']));?>
                                    <?php }else{?>
                                    <?php echo esc_html__( 'More Detail', 'artha' );
                                    }
                                    ?></a>
                            </div> 
                        </div>

                 <?php endwhile; ?>
                
                    <?php artha_pagination();?>
                    
            </div>
            <div class="col-md-4">
              <aside>
                <?php get_sidebar();?>
            </aside>
            </div>
            
               
        </div>
    </div>
</section>


    <!-- FOOTER -->
<?php
    get_footer();
?>